com.hammurapi.common.concurrent.transactions

## Class StandaloneTransactionalProcessor

- java.lang.Object
- - com.hammurapi.common.concurrent.transactions.AbstractTransactionalProcessor<String>
  - - com.hammurapi.common.concurrent.transactions.StandaloneTransactionalProcessor

-     public class StandaloneTransactionalProcessor
      extends AbstractTransactionalProcessor<String>

  Transactional processor which uses NonQueueingThreadPoolExecutor, String PropertySet, and Bitronix transaction manager.

- - ### Nested Class Summary

    - ### Nested classes/interfaces inherited from class com.hammurapi.common.concurrent.transactions.AbstractTransactionalProcessor

      `AbstractTransactionalProcessor.SimpleTransactionPropagation, AbstractTransactionalProcessor.TransactionPropagation`

  - ### Field Summary

    - ### Fields inherited from class com.hammurapi.common.concurrent.transactions.AbstractTransactionalProcessor

      `threadTransaction`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `StandaloneTransactionalProcessor(ThreadFactory threadFactory, int threadPoolSize)`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `protected Transaction` | `beginTransaction()` Concrete implementations begin transaction and return transaction instance.
    `protected PropertySet<String>` | `createPropertySet(ExecutorService executorService, Context context, PropertySet<String>... chain)`
    `protected void` | `registerXAResource(String uniqueId, XAResource xaResource)`
    `void` | `setTransactionTimeout(int seconds)`
    `void` | `shutdown()`
    `protected void` | `unregisterXAResource(String uniqueId, XAResource xaResource)`

    - ### Methods inherited from class com.hammurapi.common.concurrent.transactions.AbstractTransactionalProcessor

      `createContext, createProgressMonitor, createPropertySet, createTransactionPropagation, getCurrentTransaction, process, setProgressMonitorFactory`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### StandaloneTransactionalProcessor

          public StandaloneTransactionalProcessor(ThreadFactory threadFactory,
                                          int threadPoolSize)

  - ### Method Detail

    - #### createPropertySet

          protected PropertySet<String> createPropertySet(ExecutorService executorService,
                                              Context context,
                                              PropertySet<String>... chain)

      Specified by:
        `createPropertySet` in class `AbstractTransactionalProcessor<String>`

    - #### beginTransaction

          protected Transaction beginTransaction()
                                          throws NotSupportedException,
                                                 SystemException

      Description copied from class: `AbstractTransactionalProcessor`
      Concrete implementations begin transaction and return transaction instance.
      Specified by:
        `beginTransaction` in class `AbstractTransactionalProcessor<String>`
      Returns:
      Throws:
        `NotSupportedException`
        `SystemException`

    - #### shutdown

          public void shutdown()

    - #### setTransactionTimeout

          public void setTransactionTimeout(int seconds)
                                     throws SystemException

      Throws:
        `SystemException`

    - #### registerXAResource

          protected void registerXAResource(String uniqueId,
                                XAResource xaResource)

      Overrides:
        `registerXAResource` in class `AbstractTransactionalProcessor<String>`

    - #### unregisterXAResource

          protected void unregisterXAResource(String uniqueId,
                                  XAResource xaResource)

      Overrides:
        `unregisterXAResource` in class `AbstractTransactionalProcessor<String>`